Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.freeform
Interface FreeformConnection

All Superinterfaces:
  TempTrainingData

All Known Implementing Classes:
  BasicFreeformConnection

    public interface FreeformConnection

extends TempTrainingData

Defines a freeform connection between neurons.

Method Summary
`void` | `addWeight(double delta)` Add to the connection weight.
`FreeformNeuron` | `getSource()`
`FreeformNeuron` | `getTarget()`
`double` | `getWeight()`
`boolean` | `isRecurrent()`
`void` | `setRecurrent(boolean recurrent)` Determine if this is a recurrent connecton.
`void` | `setSource(FreeformNeuron source)` Set the source neuron.
`void` | `setTarget(FreeformNeuron target)` Set the target neuron.
`void` | `setWeight(double weight)` Set the weight.

Methods inherited from interface org.encog.neural.freeform.TempTrainingData
`addTempTraining, allocateTempTraining, clearTempTraining, getTempTraining, setTempTraining`

Method Detail

### addWeight

    void addWeight(double delta)

  Add to the connection weight.

  Parameters:
    `delta` - THe value to add.

### getSource

    FreeformNeuron getSource()

  Returns:
    The source neuron.

### getTarget

    FreeformNeuron getTarget()

  Returns:
    The target neuron.

### getWeight

    double getWeight()

  Returns:
    The weight.

### isRecurrent

    boolean isRecurrent()

  Returns:
    Is this a recurrent connection?

### setRecurrent

    void setRecurrent(boolean recurrent)

  Determine if this is a recurrent connecton.

  Parameters:
    `recurrent` - True, if this is a recurrent connection.

### setSource

    void setSource(FreeformNeuron source)

  Set the source neuron.

  Parameters:
    `source` - The source neuron.

### setTarget

    void setTarget(FreeformNeuron target)

  Set the target neuron.

  Parameters:
    `target` - The target neuron.

### setWeight

    void setWeight(double weight)

  Set the weight.

  Parameters:
    `weight` - The weight.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.